body {
    margin: 0;
    height: 100vh;
    background-repeat: no-repeat;
    background-position: center 180px;
    overflow-x: hidden;
}

.header {
    width: 100%;
    height: 85px;
    margin-top: 45px;
}

.header__wrapper {
    max-width: 1400px;
    margin: 0 auto;
    width: 100%;
    display: flex;
    justify-content: space-between;
}


@media (max-width: 1430px) {
    .header__wrapper {
        max-width: 1040px;
    }
}

@media (max-width: 1040px) {
    .header__wrapper {
        max-width: 690px;
    }
}

@media (max-width: 690px) {
    .header__wrapper {
        max-width: 320px;
    }
}


.navigation {
    display: flex;
    padding-left: 25px;
}

.navigation_humburger {
    position: fixed;
    width: 30px;
    height: 30px;
    z-index: 2;
}

.navigation_humburger span,
.navigation_humburger span::before,
.navigation_humburger span::after {
    position: absolute;
    top: 50%;
    width: 30px;
    height: 4px;
    border-radius: 3px;
    background-color: #cdcdcd;
}

.navigation_humburger-active span{
    height: 0;
}


.navigation_humburger span::before,
.navigation_humburger span::after{
    content: '';
    display: block;
    transition: .2s;
}

.navigation_humburger span::before {
    transform: translateY(-10px);
}

.navigation_humburger-active span::before {
    transform: rotate(45deg);
}

.navigation_humburger span::after {
    transform: translateY(6px);
}

.navigation_humburger-active span::after {
    transform: rotate(-45deg);
}

.navigation__menu {
    position: fixed;
    transform: translate(-100%);
    margin: -45px 0 0 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    z-index: 1;
    width: 380px;
    height: 100vh;
    justify-content: center;
    background: linear-gradient(40deg,#00bf82,#0099ae);
    transition: transform .5s cubic-bezier(.77,.2,.05,1);
}

.navigation__menu-active {
    transform: translate(0);
}

.toggle.switch__btn, .toggle-on.switch__btn, .toggle-off.switch__btn { 
    border-radius: 5px; 
}
.toggle.switch__btns .toggle-handle { 
    border-radius: 5px; 
}
.btn-primary {
    background: linear-gradient(40deg,#00bf82,#0099ae);; 
}

.btn-default.active {
    background: linear-gradient(40deg,#ffd86f,#fc6262);
    color: white;
}
.menu__item {
    max-width: 150px;
    margin: 0 0 0 60px;
    color: #fff;
    min-width: 145px;
    text-align: left;
    padding: 10px 0;
    font-size: 22px;
    cursor: pointer;
    text-decoration: none;
}

.switch {
    position: relative;
    margin-right: 25px;
}

.main__container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 1400px;
    width: 100%;
    margin: 0 auto;
}

.main__category {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 300px;
    height: 280px;
    margin: 20px 25px;
    align-items: center;
    border-radius: 5px;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.16), 0 2px 10px 0 rgba(0,0,0,.12);
    color: #212529;
    cursor: pointer;
    transition: .3s;
    background: linear-gradient(180deg,#0099ae,#00bf82 40%,#fff 0,#fff);
    font-size: 24px;
}

.main__category:hover {
    box-shadow: 0 10px 10px 0 rgba(0,0,0,.26), 0 2px 10px 0 rgba(0,0,0,.12);
}



.main__category img {
    position: absolute;
    top: 15%;
    left: calc(50% - 70px);
    width: 140px;
    height: 140px;
    border-radius: 50%;
    border: 10px solid #fff;
    object-fit: cover;
}

.card__category {
    display: block;
    position: absolute;
    bottom: 0;
    align-items: center;
    font-size: 24px;
}

.main__category-play {
    background: linear-gradient(180deg,#fd6a63,#feb46b 40%,#fff 0,#fff);
}

.main__card {
    position: relative;
    width: 300px;
    height: 250px;
    margin: 20px 25px;
    background-size: contain;
    background-repeat: no-repeat;
    perspective: 1000px;
}

.main__card-play {
    position: absolute;
    width: 100%;
    height: 100%;
}

.card__front, .card__back{   
    position: absolute;
    height: 100%;
    width: 100%;
    display: flex;
    background-repeat: no-repeat;
    justify-content: flex-end;
    flex-direction: column;
    background-size: contain;
    transition: 1s;
    backface-visibility: hidden;
    background-color: white;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.4) 0px 1px 2px 0px;
}

.card__back {
    transform: rotateY(180deg);
}
.card__front:hover, .card__back:hover {
    box-shadow: 0 10px 10px 0 rgba(0,0,0,.26), 0 2px 10px 0 rgba(0,0,0,.12);
}

.card__text{
    font-size: 24px;
    line-height: 45px;
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: center;
}

.card__translate{
    font-size: 24px;
    line-height: 45px;
    text-align: center;
    width: 100%;
}

.card__rotate {
    position: absolute;
    right: 5px;
    bottom: 5px;
    width: 50px;
    height: 50px;
    background-size: 32px;
    background-image: url(assets/rotate.svg);
    background-repeat: no-repeat;
    background-position: center 16px;
}

.card__rotate:hover {
    background-image: url(assets/rotate2.svg);
}

.card__front-rotate{
    transform: rotateY(180deg);
}

.card__back-rotate{
    transform: rotateY(360deg);
}

.main__buttonPlay {
    box-sizing: border-box;
    padding: 20px 25px;
    font-size: 24px;
    margin: 20px auto;
    width: 100%;
    max-width: 650px;
    height: 65px;
    background: linear-gradient(40deg,#ffd86f,#fc6262);
    color: #fff;
    border-radius: 10px;
    text-align: center;
    cursor: pointer;
}

.true {
    box-shadow: 0 10px 10px 0 rgba(11,56,49,1), 0 10px 10px 0 rgba(11,56,49,1);
}

.result, .result-folse {
    position: absolute;
    left: 40%;
    width: 100%;
    height: 50vh;
    background-image: url(assets/success.jpg);
    background-repeat: no-repeat;
}

.result-folse {
    background-image: url(assets/failure.jpg);

}



